org.apache.solr.update

## Class TransactionLog.LogCodec

- java.lang.Object
- - org.apache.solr.common.util.JavaBinCodec
  - - org.apache.solr.update.TransactionLog.LogCodec

- Enclosing class:
    TransactionLog

      public class TransactionLog.LogCodec
      extends JavaBinCodec

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.common.util.JavaBinCodec

      `JavaBinCodec.ObjectResolver, JavaBinCodec.StringBytes, JavaBinCodec.StringCache, JavaBinCodec.WritableDocFields`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.common.util.JavaBinCodec

      `ARR, BOOL_FALSE, BOOL_TRUE, BYTE, BYTEARR, daos, DATE, DOUBLE, END, END_OBJ, ENUM_FIELD_VALUE, EXTERN_STRING, FLOAT, INT, ITERATOR, LONG, MAP, MAP_ENTRY, NAMED_LST, NULL, ORDERED_MAP, SHORT, SINT, SLONG, SOLRDOC, SOLRDOCLST, SOLRINPUTDOC, SOLRINPUTDOC_CHILDS, STR, TAG_AND_LEN, tagByte`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogCodec(JavaBinCodec.ObjectResolver resolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `readExternString(DataInputInputStream fis)`
    `void` | `writeExternString(String s)`

    - ### Methods inherited from class org.apache.solr.common.util.JavaBinCodec

      `getResolver, init, marshal, readArray, readByteArray, readEnumFieldValue, readIterator, readMap, readMapEntry, readNamedList, readOrderedMap, readSize, readSmallInt, readSmallLong, readSolrDocument, readSolrDocumentList, readSolrInputDocument, readStr, readStr, readVal, readVInt, readVLong, setWritableDocFields, toWrite, unmarshal, writeArray, writeArray, writeArray, writeByteArray, writeEnumFieldValue, writeFloat, writeInt, writeIterator, writeKnownType, writeLong, writeMap, writeMapEntry, writeNamedList, writePrimitive, writeSolrDocument, writeSolrDocumentList, writeSolrInputDocument, writeStr, writeTag, writeTag, writeVal, writeVInt, writeVLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogCodec

          public LogCodec(JavaBinCodec.ObjectResolver resolver)

  - ### Method Detail

    - #### writeExternString

          public void writeExternString(String s)
                                 throws IOException

      Overrides:
        `writeExternString` in class `JavaBinCodec`
      Throws:
        `IOException`

    - #### readExternString

          public String readExternString(DataInputInputStream fis)
                                  throws IOException

      Overrides:
        `readExternString` in class `JavaBinCodec`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.